org.eclipse.ease.lang.unittest.definition

## Enum Flag

- java.lang.Object
- - java.lang.Enum<Flag>
  - - org.eclipse.ease.lang.unittest.definition.Flag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Flag>, org.eclipse.emf.common.util.Enumerator

    public enum Flag
    extends java.lang.Enum<Flag>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Flag', and utility methods for working with them.

See Also:
  `IDefinitionPackage.getFlag()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PREFERRED_ENGINE_ID` The 'PREFERRED ENGINE ID' literal object.
`PROMOTE_FAILURE_TO_ERROR` The 'PROMOTE FAILURE TO ERROR' literal object.
`RUN_TEARDOWN_ON_ERROR` The 'RUN TEARDOWN ON ERROR' literal object.
`STOP_SUITE_ON_ERROR` The 'STOP SUITE ON ERROR' literal object.
`THREAD_COUNT` The 'THREAD COUNT' literal object.
`UNDEFINED` The 'UNDEFINED' literal object.

### Field Summary

Fields
`static int` `PREFERRED_ENGINE_ID_VALUE` The 'PREFERRED ENGINE ID' literal value.
`static int` `PROMOTE_FAILURE_TO_ERROR_VALUE` The 'PROMOTE FAILURE TO ERROR' literal value.
`static int` `RUN_TEARDOWN_ON_ERROR_VALUE` The 'RUN TEARDOWN ON ERROR' literal value.
`static int` `STOP_SUITE_ON_ERROR_VALUE` The 'STOP SUITE ON ERROR' literal value.
`static int` `THREAD_COUNT_VALUE` The 'THREAD COUNT' literal value.
`static int` `UNDEFINED_VALUE` The 'UNDEFINED' literal value.
`static java.util.List<Flag>` `VALUES` A public read-only list of all the 'Flag' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Flag` `get(int value)` Returns the 'Flag' literal with the specified integer value.
`static Flag` `get(java.lang.String literal)` Returns the 'Flag' literal with the specified literal value.
`static Flag` `getByName(java.lang.String name)` Returns the 'Flag' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Flag` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Flag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNDEFINED

    public static final Flag UNDEFINED

The 'UNDEFINED' literal object.

See Also:
  `UNDEFINED_VALUE`

#### THREAD_COUNT

    public static final Flag THREAD_COUNT

The 'THREAD COUNT' literal object.

See Also:
  `THREAD_COUNT_VALUE`

#### PROMOTE_FAILURE_TO_ERROR

    public static final Flag PROMOTE_FAILURE_TO_ERROR

The 'PROMOTE FAILURE TO ERROR' literal object.

See Also:
  `PROMOTE_FAILURE_TO_ERROR_VALUE`

#### STOP_SUITE_ON_ERROR

    public static final Flag STOP_SUITE_ON_ERROR

The 'STOP SUITE ON ERROR' literal object.

See Also:
  `STOP_SUITE_ON_ERROR_VALUE`

#### RUN_TEARDOWN_ON_ERROR

    public static final Flag RUN_TEARDOWN_ON_ERROR

The 'RUN TEARDOWN ON ERROR' literal object.

See Also:
  `RUN_TEARDOWN_ON_ERROR_VALUE`

#### PREFERRED_ENGINE_ID

    public static final Flag PREFERRED_ENGINE_ID

The 'PREFERRED ENGINE ID' literal object.

See Also:
  `PREFERRED_ENGINE_ID_VALUE`

### Field Detail

#### UNDEFINED_VALUE

    public static final int UNDEFINED_VALUE

The 'UNDEFINED' literal value.

If the meaning of 'UNDEFINED' literal object isn't clear, there really should be more of a description here...

See Also:
  `UNDEFINED`, Constant Field Values

#### THREAD_COUNT_VALUE

    public static final int THREAD_COUNT_VALUE

The 'THREAD COUNT' literal value.

If the meaning of 'THREAD COUNT' literal object isn't clear, there really should be more of a description here...

See Also:
  `THREAD_COUNT`, Constant Field Values

#### PROMOTE_FAILURE_TO_ERROR_VALUE

    public static final int PROMOTE_FAILURE_TO_ERROR_VALUE

The 'PROMOTE FAILURE TO ERROR' literal value.

If the meaning of 'PROMOTE FAILURE TO ERROR' literal object isn't clear, there really should be more of a description here...

See Also:
  `PROMOTE_FAILURE_TO_ERROR`, Constant Field Values

#### STOP_SUITE_ON_ERROR_VALUE

    public static final int STOP_SUITE_ON_ERROR_VALUE

The 'STOP SUITE ON ERROR' literal value.

If the meaning of 'STOP SUITE ON ERROR' literal object isn't clear, there really should be more of a description here...

See Also:
  `STOP_SUITE_ON_ERROR`, Constant Field Values

#### RUN_TEARDOWN_ON_ERROR_VALUE

    public static final int RUN_TEARDOWN_ON_ERROR_VALUE

The 'RUN TEARDOWN ON ERROR' literal value.

If the meaning of 'RUN TEARDOWN ON ERROR' literal object isn't clear, there really should be more of a description here...

See Also:
  `RUN_TEARDOWN_ON_ERROR`, Constant Field Values

#### PREFERRED_ENGINE_ID_VALUE

    public static final int PREFERRED_ENGINE_ID_VALUE

The 'PREFERRED ENGINE ID' literal value.

If the meaning of 'PREFERRED ENGINE ID' literal object isn't clear, there really should be more of a description here...

See Also:
  `PREFERRED_ENGINE_ID`, Constant Field Values

#### VALUES

    public static final java.util.List<Flag> VALUES

A public read-only list of all the 'Flag' enumerators.

### Method Detail

#### values

    public static Flag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Flag c : Flag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Flag valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static Flag get(java.lang.String literal)

Returns the 'Flag' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static Flag getByName(java.lang.String name)

Returns the 'Flag' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static Flag get(int value)

Returns the 'Flag' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<Flag>`